<template>
  <el-dialog class="client-data-dialog" title="还款凭证" width="500px" hight="600px" :visible.sync="visible"
             :before-close="handleClose">
    <div>
      <img :src="imgUrl" alt="" style="width: 100%;height: 100%"/>
    </div>
  </el-dialog>
</template>

<script>
export default {
  name: "ImageDailog",
  props: {
    dialogVisible: {
      type: Boolean
    },
    img: {
      type: String,
    },
  },
  data() {
    return {
      ui: {
        submitLoading: false
      },
      visible: this.$props.dialogVisible,
      imgUrl: '',
    }
  },

  created() {
    this.imgUrl = this.img;
  },

  methods: {
    /** 关闭处理 */
    handleClose() {
      this.visible = false;
      setTimeout(() => {
        this.$emit('update:dialogVisible', false)
      }, 300);
    },

  }
}
</script>

<style scoped>

</style>
